# - Try to find QEverCloud
# Once done this will define
#  QEVERCLOUD_FOUND - QEverCloud library was found
#  QEVERCLOUD_INCLUDE_DIRS - The QEverCloud include directories
#  QEVERCLOUD_LIBRARIES - The libraries needed to use QEverCloud
#  QEVERCLOUD_HAS_OAUTH - Boolean set to true if QEverCloud was built with OAuth support
#  QEVERCLOUD_USE_QT_WEB_ENGINE - Boolean set to true if QEverCloud was built with OAuth support using QtWebEngine backend

# Compute paths
get_filename_component(QEVERCLOUD_CMAKE_DIR "${CMAKE_CURRENT_LIST_FILE}" PATH)
if(EXISTS "${QEVERCLOUD_CMAKE_DIR}/CMakeCache.txt")
  # in build tree
  include("${QEVERCLOUD_CMAKE_DIR}/QEverCloud-qt5BuildTreeSettings.cmake")
else()
  set(QEVERCLOUD_INCLUDE_DIRS "/usr/include")
endif()

# Find the QEverCloud's Qt dependencies
include("${QEVERCLOUD_CMAKE_DIR}/QEverCloudFindPackageWrapperMacro.cmake")
include("${QEVERCLOUD_CMAKE_DIR}/QEverCloud-qt5FindQtDependencies.cmake")

# Our library dependencies (contains definitions for IMPORTED targets)
include("${QEVERCLOUD_CMAKE_DIR}/QEverCloud-qt5LibraryDepends.cmake")

# These are IMPORTED targets created by FooBarLibraryDepends.cmake
set(QEVERCLOUD_LIBRARIES "qt5qevercloud")

set(QEVERCLOUD_HAS_OAUTH TRUE)
set(QEVERCLOUD_USE_QT_WEB_ENGINE TRUE)
set(QEVERCLOUD_FOUND TRUE)
